<template>
  <div>
      <h3> {{ $t('custom-your-app') }}</h3>
      <div class="container">
        <div class="row">
          <div class="col-sm">
            <CustomColorComponent/>
          </div>
          <div class="col-sm">
           <CustomLogoComponent/>
          </div>
          <div class="col-sm">
            <CustomFontComponent/>
          </div>
        </div>
      </div>
      <div class="center">
        <CustomResultComponent/>
      </div>
  </div>
</template>

<script>
import custom from '@/shared/custom'
import CustomColorComponent from './CustomColorComponent.vue'
import CustomLogoComponent from './CustomLogoComponent.vue'
import CustomFontComponent from './CustomFontComponent.vue'
import CustomResultComponent from './CustomResultComponent.vue'
export default {
  components: {
    CustomColorComponent,
    CustomLogoComponent,
    CustomFontComponent,
    CustomResultComponent
  },
  mounted () {
    custom.getGoodItemAndColorIt(this.$route.path)
  }
}
</script>

<style scoped>
h3{
  margin-top: 10px;
  margin-bottom: 30px;
  text-align: center;
}
button{
  margin-top: 40px;
}
</style>
